#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	Building tested documentation
Summary(pl.UTF-8):	Budowanie przetestowanej dokumentacji
Name:		python-manuel
# keep 1.11.x here for python2 support
Version:	1.11.2
Release:	4
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/manuel/
Source0:	https://files.pythonhosted.org/packages/source/m/manuel/manuel-%{version}.tar.gz
# Source0-md5:	9bbbb65afd67a5e53d35a6bd0c2d2943
URL:		https://pypi.org/project/manuel/
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-six
BuildRequires:	python-zope.testing
%endif
%if %{with doc}
BuildRequires:	python3-myst_parser
BuildRequires:	python3-sphinx_copybutton
BuildRequires:	sphinx-pdg-3
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Manuel lets you build tested documentation.

%description -l pl.UTF-8
Manuel pozwala budować przetestowaną dokumentację.

%package apidocs
Summary:	API documentation for Python manuel module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona manuel
Group:		Documentation

%description apidocs
API documentation for Python manuel module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona manuel.

%prep
%setup -q -n manuel-%{version}

%build
%py_build %{?with_tests:test}

%if %{with doc}
sphinx-build-3 -b html -c sphinx src/manuel sphinx/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.rst README.rst
%{py_sitescriptdir}/manuel
%{py_sitescriptdir}/manuel-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc sphinx/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-manuel.git;a=log;h=master

* Wed Apr 30 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> bfc76cc
- python3 version in python3-manuel.spec

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 5c44ffa
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> e1e1df7
- python 3.13 rebuild

* Mon Sep 25 2023 Jakub Bogusz <qboosh@pld-linux.org> af69819
- updated to 1.11.2, build apidocs

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 3dd47dd
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> cbe34d9
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> f5166f2
- rebuild with python 3.10

* Wed Feb 23 2022 Jakub Bogusz <qboosh@pld-linux.org> f723f77
- new

